> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Networks

> Returns all active mobile money networks available in a specific country, aggregated from all providers. Indicates if network selection is required.

Get all active mobile money networks available in a specific country, including network codes and phone number prefixes.


## OpenAPI

````yaml GET /api/v3/customer/support/networks/{countryCode}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/customer/support/networks/{countryCode}:
    get:
      tags:
        - CUSTOMER - COUNTRY SUPPORT
      summary: Get available networks for a country
      description: >-
        Returns all active mobile money networks available in a specific
        country, aggregated from all providers. Indicates if network selection
        is required.
      operationId: CountrySupportController_getNetworkAvailability_api/v3
      parameters:
        - name: countryCode
          required: true
          in: path
          description: Country code (e.g., KE, NG, GH)
          schema:
            example: KE
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Networks retrieved successfully
                  data:
                    $ref: '#/components/schemas/NetworkAvailabilityResponseDto'
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    NetworkAvailabilityResponseDto:
      type: object
      properties:
        countryCode:
          type: string
          description: Country code
          example: KE
        networks:
          description: Available networks
          example:
            - MPESA
            - AIRTEL
          type: array
          items:
            type: string
        isRequired:
          type: boolean
          description: Whether network selection is required
          example: false
      required:
        - countryCode
        - networks
        - isRequired
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````